#!/bin/bash

### USER INPUT starts ###
filename='fabm.nml'
pfac=(1.0)
pname=(qi k_dmspdi k_dmsi k_phoi yieldi) # k_lyi f_exi k_exi)
pvalue=(9.5 1 0.2 0.1 0.2) # 0.03 0.05 0.02)
### USER INPUT ends ###

echo "Running the default simulation and saving its output (resolute_def.nc)..."
for (( i=0; i<${#pname[@]}; i++ ));
do
	vi $filename -c ":%s/\("${pname[i]}" \{1,}= \).*\(,\)/\1"${pvalue[i]}"\2/g" -c ":wq"
done
nice -n 19 gotm &> log.resolute
python sens_def.py
mv resolute.nc resolute_def.nc

echo "Running the sensitivity simulations..."
for (( i=0; i<${#pname[@]}; i++ ));
do
	#for (( j=0; j<${#pfac[@]}; j++ ));
	#do
		pvalue_new=`echo "${pvalue[i]}+${pvalue[i]}*${pfac[j]}" | bc -l`
		vi $filename -c ":%s/\("${pname[i]}" \{1,}= \).*\(,\)/\1"${pvalue_new}"\2/g" -c ":wq"
		nice -n 19 gotm &> log.resolute
		eff_p[j]=`python sens_oat.py`
	#done
	vi $filename -c ":%s/\("${pname[i]}" \{1,}= \).*\(,\)/\1"${pvalue[i]}"\2/g" -c ":wq"
	cp resolute.nc `echo "resolute_doubling_${pname[i]}.nc"`
done
