#!/bin/bash

### INPUT starts ###
suff="def_icealgae" #"def" or "def_no"
filename='fabm.nml'
pname=f_ow
pvalue=(0 0.02 0.1 0.5 1)
### INPUT ends ###

echo "Start of the open water fraction sensitivity runs:"
for (( i=0; i<${#pvalue[@]}; i++ ));
do
	vi $filename -c ":%s/\("${pname}" \{1,}= \).*\(,\)/\1"${pvalue[i]}"\2/g" -c ":wq"
	nice -n 19 gotm &> log.resolute
	python owfraction.py
	mv resolute.nc resolute_${pname}_${suff}_${pvalue[i]}.nc
	echo "Run with ${pname}=${pvalue[i]} done."
done
echo "Switch ${pname} back to its default value of ${pvalue[0]}..."
vi $filename -c ":%s/\("${pname}" \{1,}= \).*\(,\)/\1"${pvalue[0]}"\2/g" -c ":wq"
