### This script calculates the seasonal total DMS flux for a sensitivity run and calcualtes its relative change from the default run.
### If there is a bug in the output, it will re-run the model until the bug is gone.

from netCDF4 import *
import pylab
import os
from math import isnan
import sys

def run_gotm():

	os.system('nice -n 19 gotm &> log.resolute')

def sum_value(fname):

	ncfile = Dataset(fname,'r')
	value = sum(pylab.squeeze(ncfile.variables['uvic_icedms_dms']))
	return value

#def_fsize = os.stat('resolute_def.nc').st_size
def_value = sum_value('resolute_def.nc')
while True:
	try: 
		new_value = sum_value('resolute.nc')
		break
	except ValueError:
		run_gotm()
	except IndexError:
		run_gotm()
	except isnan(new_value):
		run_gotm()
#	except:
#		run_gotm()
#except os.stat('resolute.nc').st_size != def_fsize:
#	run_gotm()
print round(100*(new_value-def_value)/def_value)